aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/macos/makeuniversal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/macos/makeuniversal.sh')
-rwxr-xr-xcoin/provisioning/common/macos/makeuniversal.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/coin/provisioning/common/macos/makeuniversal.sh b/coin/provisioning/common/macos/makeuniversal.sh
new file mode 100755
index 00000000..b0facd72
--- /dev/null
+++ b/coin/provisioning/common/macos/makeuniversal.sh
@@ -0,0 +1,59 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Copies or lipos files from the given DESTDIR dirs to the respective install dir
+
+set -e
+
+for dir in "$@"; do
+ echo "Processing files in $dir ..."
+ pushd $dir >/dev/null
+ find . -type f | while read f; do
+ dst="${f:1}"
+ dstdir=$(dirname $dst)
+ mkdir -p $dstdir
+ if [[ ! -f $dst ]]; then
+ echo "Copying $dir/$f to $dst"
+ cp -c $f $dst
+ elif lipo -info $f >/dev/null 2>&1; then
+ echo "Lipoing $dir/$f into $dst"
+ lipo -create -output $dst $dst $f
+ elif ! diff $f $dst; then
+ echo "Error: File $f in $dir doesn't match destination $dst"
+ exit 1
+ fi
+ done
+ popd >/dev/null
+done